Bug 152719 - kernel oops in aic79xx with kernel 2.4.20-30.7.legacysmp
kernel oops in aic79xx with kernel 2.4.20-30.7.legacysmp
Product: Fedora Legacy
Classification: Retired
Component: Package request (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fedora Legacy Bugs
Depends On:
  Show dependency treegraph
Reported: 2004-05-18 10:05 EDT by David Lawrence
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Lawrence 2005-03-30 18:25:07 EST
Booting from kernel 2.4.20-30.7.legacysmp gives a kernel oops while loading the
following modules:
  aic79xx sd_mod scsi_mod

Rebooting from the previous kernel (2.4.20-18.7smp from RedHat) works fine. So
it's something specific with this kernel build. 

Here's the console log of the event
Red Hat nash verSCSI subsystem driver Revision: 1.00
sion 3.3.10 staraic79xx: PCI3:2:0 MEM region 0x0 unavailable. Cannot memory map
Loading scnvram_scb == 0xfe
si_mod module
LSCBPTR == 0xff
oading sd_mod moSignature = BIOS
Loading aic79xx module
ahd_pci:3:2:0: Someone reset channel A
Unable to handle kernel NULL pointer dereference at virtual address 00000072
 printing eip:
*pde = 00000000
Oops: 0002
aic79xx sd_mod scsi_mod  
CPU:    0
EIP:    0010:[<f8815ca4>]    Not tainted
EFLAGS: 00010046

EIP is at scsi_block_requests_Rsmp_88041ff7 [scsi_mod] 0x4 (2.4.20-30.7.legacysmp)
eax: 00000000   ebx: c45da930   ecx: 00000100   edx: c45da000
esi: 00000000   edi: c45da000   ebp: 00000020   esp: c2dbfcb8
ds: 0018   es: 0018   ss: 0018
Process insmod (pid: 20, stackpage=c2dbf000)
Stack: f8841521 00000000 c45da000 00000041 ffffffff ffffffff 00000001 00000000 
       0000492d 00000027 0000492d c011c7fb ffffffff ffffffff 00000000 ffffffff 
       ffffffff 00000041 00000000 00000046 c45da000 00000000 00000000 f88359e3 
Call Trace:   [<f8841521>] ahd_reset_channel [aic79xx] 0x181 (0xc2dbfcb8))
[<c011c7fb>] call_console_drivers [kernel] 0xeb (0xc2dbfce4))
[<f88359e3>] ahd_handle_scsiint [aic79xx] 0x4f3 (0xc2dbfd14))
[<f884ae95>] .rodata.str1.1 [aic79xx] 0x535 (0xc2dbfd24))
[<f8830d72>] ahd_linux_isr [aic79xx] 0x122 (0xc2dbfd48))
[<f884f410>] ahd_pci_ident_table [aic79xx] 0x90 (0xc2dbfd5c))
[<c010fc26>] pci_conf1_read_config_byte [kernel] 0x36 (0xc2dbfd60))
[<c010a5fe>] handle_IRQ_event [kernel] 0x5e (0xc2dbfd78))
[<c010a832>] do_IRQ [kernel] 0xc2 (0xc2dbfd98))
[<f884e700>] aic79xx_pci_driver [aic79xx] 0x0 (0xc2dbfdb0))
[<f884e700>] aic79xx_pci_driver [aic79xx] 0x0 (0xc2dbfdcc))
[<c01c0018>] ide_do_request [kernel] 0x278 (0xc2dbfddc))
[<f8832c77>] ahd_linux_pci_dev_probe [aic79xx] 0x17 (0xc2dbfde8))
[<c0130030>] filemap_fdatasync [kernel] 0x40 (0xc2dbfe0c))
[<c014379c>] __pte_chain_free [kernel] 0x1c (0xc2dbfe28))
[<c012d8e1>] do_anonymous_page [kernel] 0x291 (0xc2dbfe34))
[<f884e6c0>] ahd_linux_pci_id_table [aic79xx] 0x0 (0xc2dbfe50))
[<f884e700>] aic79xx_pci_driver [aic79xx] 0x0 (0xc2dbfe54))
[<c01c984c>] pci_announce_device [kernel] 0x3c (0xc2dbfe60))
[<f884e6c0>] ahd_linux_pci_id_table [aic79xx] 0x0 (0xc2dbfe68))
[<f884e700>] aic79xx_pci_driver [aic79xx] 0x0 (0xc2dbfe70))
[<f884e600>] driver_template [aic79xx] 0x0 (0xc2dbfe78))
[<c01c98b2>] pci_register_driver [kernel] 0x42 (0xc2dbfe7c))
[<f884e700>] aic79xx_pci_driver [aic79xx] 0x0 (0xc2dbfe80))
[<f884e600>] driver_template [aic79xx] 0x0 (0xc2dbfe90))
[<f8832dde>] ahd_linux_pci_probe [aic79xx] 0xe (0xc2dbfe94))
[<f884e700>] aic79xx_pci_driver [aic79xx] 0x0 (0xc2dbfe98))
[<c012dcc6>] handle_mm_fault [kernel] 0xe6 (0xc2dbfea8))
[<f882fa22>] ahd_linux_detect [aic79xx] 0x52 (0xc2dbfeb0))
[<f884e600>] driver_template [aic79xx] 0x0 (0xc2dbfeb4))
[<f880ef23>] scsi_register_host [scsi_mod] 0x63 (0xc2dbfec4))
[<f884e600>] driver_template [aic79xx] 0x0 (0xc2dbfec8))
[<f8832177>] init_this_scsi_driver [aic79xx] 0x17 (0xc2dbff20))
[<f884e600>] driver_template [aic79xx] 0x0 (0xc2dbff24))
[<f884e600>] driver_template [aic79xx] 0x0 (0xc2dbff28))
[<c011dc25>] sys_init_module [kernel] 0x555 (0xc2dbff2c))
[<f884bf50>] .kmodtab [aic79xx] 0x0 (0xc2dbff30))
[<f882f060>] ahd_print_path [aic79xx] 0x0 (0xc2dbff58))
[<c0108be3>] system_call [kernel] 0x33 (0xc2dbffc0))

Code: 80 48 72 40 c3 8d b4 26 00 00 00 00 53 8b 44 24 08 8b 58 04 
 <0>Kernel panic: Aiee, killing interrupt handler!
In interrupt handler - not syncing

------- Additional Comments From dwb7@ccmr.cornell.edu 2004-05-20 08:49:47 ----

Can you reproduce this on multiple machines? I am wondering if it is something
funky on that one machine.

We've got several computers running that kernel (well, the smp version) of that
kernel with those mods and no issues with those modules.

So, maybe it is a UP issue, then?

------- Additional Comments From jrk@mipl.jpl.nasa.gov 2004-05-20 11:40:31 ----

It's the only machine where I have this issue, and I've got over 40 machines
running Legacy 7.3. But its also the only one with this exact hardware, and it's
consistent. If I boot using the new kernel, it gets and oops. If I boot using
the older one it works perfectly. That suggests to me something new in the
kernel that's affecting a specific combination of drivers.

Unfortuantely, this is an ops system, so I can't pull it down to do extensive

------- Additional Comments From dwb7@ccmr.cornell.edu 2004-05-20 11:50:46 ----

Does kernel-2.4.20-28.7 (which was the last kernel released by Redhat for 7.3)
also have this problem? And, how about the newest kernel in QA from FedoraLegacy?

------- Additional Comments From marcdeslauriers@videotron.ca 2004-09-18 17:28:25 ----

I am closing this due to lack of updates from original reporter.

------- Bug moved to this database by dkl@redhat.com 2005-03-30 18:25 -------

This bug previously known as bug 1614 at https://bugzilla.fedora.us/
Originally filed under the Fedora Legacy product and Package request component.

Unknown priority P1. Setting to default priority "normal".
Unknown platform PC. Setting to default platform "All".
Unknown severity blocker. Setting to default severity "normal".
The original reporter of this bug does not have
   an account here. Reassigning to the person who moved
   it here, dkl@redhat.com.
   Previous reporter was jrk@mipl.jpl.nasa.gov.
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.

Note You need to log in before you can comment on or make changes to this bug.